#!/bin/sh

VERS="7.1.2"
DATE="2006-03-07"

# Leave the desired layout uncommented.
LAYOUT=layout1		# Tables based layout.
#LAYOUT=layout2		# CSS based simulated frames layout.

ASCIIDOC_HTML="asciidoc --unsafe --backend=xhtml11 --conf-file=${LAYOUT}.conf --attribute icons --attribute iconsdir=./images/icons --attribute=badges --attribute=revision=$VERS  --attribute=date=$DATE"

$ASCIIDOC_HTML --attribute=index-only index.txt
$ASCIIDOC_HTML --attribute=numbered userguide.txt
$ASCIIDOC_HTML --doctype=manpage manpage.txt
$ASCIIDOC_HTML downloads.txt
$ASCIIDOC_HTML README.txt
$ASCIIDOC_HTML CHANGELOG.txt
$ASCIIDOC_HTML README-website.txt
$ASCIIDOC_HTML --doctype=manpage a2x.1.txt
$ASCIIDOC_HTML --attribute=asciimath asciimath.txt
$ASCIIDOC_HTML support.txt
# disabled - requires GNU source-highlight ( http://www.gnu.org/software/src-highlite/ )
#$ASCIIDOC_HTML source-highlight-filter.txt
